## ros-indigo-pyros-test 0.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pyros_test)

# Minimal Python module setup
find_package(catkin REQUIRED COMPONENTS
    roslint
    rospy
    std_msgs
    message_generation
)

catkin_python_setup()


add_message_files(
  DIRECTORY
    msg
  FILES
    opt_empty.msg
    opt_bool.msg
    opt_int8.msg
    opt_int16.msg
    opt_int32.msg
    opt_int64.msg
    opt_uint8.msg
    opt_uint16.msg
    opt_uint32.msg
    opt_uint64.msg
    opt_float32.msg
    opt_float64.msg
    opt_string.msg
    opt_time.msg
    opt_duration.msg
    opt_header.msg
)


add_service_files(DIRECTORY srv
    FILES
    StringEchoService.srv
)
generate_messages(DEPENDENCIES std_msgs)
catkin_package( CATKIN_DEPENDS message_runtime std_msgs)

install(
    PROGRAMS
        nodes/echo.py
        nodes/emptyService.py
        nodes/slowService.py
        nodes/triggerService.py
        nodes/common.py
        nodes/string_pub_node.py
        nodes/string_pubnot_node.py
        nodes/string_slow_node.py
        nodes/string_sub_node.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

# Lint Python modules
file(GLOB_RECURSE ${PROJECT_NAME}_PY_SRCS
     RELATIVE ${PROJECT_SOURCE_DIR} src/pyros_test/*.py)
roslint_python(${${PROJECT_NAME}_PY_SRCS})

=== debian/changelog ===
ros-indigo-pyros-test (0.0.6-0trusty) trusty; urgency=high

  * Merge pull request #5 <https://github.com/asmodehn/pyros-test/issues/5> from asmodehn/string_sub_node
    implementing a simple string_sub_node
  * implementing a simple string_sub_node
  * now able to name nodes via first command argument.
  * Contributors: AlexV, alexv

 -- AlexV <asmodehn@gmail.com>  Sun, 06 Nov 2016 15:00:00 -0000

ros-indigo-pyros-test (0.0.5-0trusty) trusty; urgency=high

  * now using params within nodes exposing a service.
    added gitignore.
  * adding message type definition for pyros to use optional ros fields.
  * installing build-essential in container seems needed by catkin.
  * lowering std_msgs requirements. attempt to fix travis issues.
  * fixing travis_checks
  * now testing with docker. added kinetic.
  * Contributors: alexv

 -- AlexV <asmodehn@gmail.com>  Sun, 23 Oct 2016 15:00:00 -0000

ros-indigo-pyros-test (0.0.4-0trusty) trusty; urgency=high

  * now travis checking both indigo and jade
  * Merge pull request #2 <https://github.com/asmodehn/pyros-test/issues/2> from asmodehn/package_v2
    Package v2
  * README fix
  * package description fix
  * package v2 wiht minimum required version for dependencies
  * Contributors: AlexV, alexv

 -- AlexV <asmodehn@gmail.com>  Wed, 01 Jun 2016 15:00:00 -0000

ros-indigo-pyros-test (0.0.3-0trusty) trusty; urgency=high

  * setting version 0.0.3
  * replaced an forgotten pyros.srv reference by pyros_test.srv
  * Contributors: alexv

 -- AlexV <asmodehn@gmail.com>  Wed, 17 Feb 2016 15:00:00 -0000

ros-indigo-pyros-test (0.0.2-0trusty) trusty; urgency=high

  * getting ready for 0.0.2
  * adding more nodes from pyros.
  * adding nodes from pyros.
  * Contributors: AlexV

 -- AlexV <asmodehn@gmail.com>  Sat, 09 Jan 2016 15:00:00 -0000

ros-indigo-pyros-test (0.0.1-0trusty) trusty; urgency=high

  * removed unused dependency on python-six since it blocks saucy release.
  * removed pyros_setup dependency. should be done outside, before using pyros_test.
  * adding travis badge.
  * adding travis config.
  * renaming and fixing delayed import.
  * first commit extracted from pyros
  * Contributors: alexv

 -- AlexV <asmodehn@gmail.com>  Tue, 05 Jan 2016 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-pyros-test
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin (>= 0.6.18), ros-indigo-message-generation (>= 0.2.10), ros-indigo-roslint (>= 0.10.0), ros-indigo-rospy (>= 1.11.19), ros-indigo-rostest (>= 1.11.19), ros-indigo-rostopic (>= 1.11.19), ros-indigo-rosunit (>= 1.11.12), ros-indigo-std-msgs (>= 0.5.9)
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-pyros-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime (>= 0.4.12), ros-indigo-rospy (>= 1.11.19), ros-indigo-std-msgs (>= 0.5.9)
Description: Basic test nodes for Pyros dynamic ROS interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pyros-test//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
